Package com.independentsoft.office.drawing.extensions

# Class DataDisplayOptions16

java.lang.Object
com.independentsoft.office.drawing.extensions.DataDisplayOptions16

All Implemented Interfaces:
  `IExtensionContent`

public class DataDisplayOptions16 extends Object implements IExtensionContent
Represents the data-display options extension (`c16r3:dataDisplayOptions16`) that stores whether #N/A values are displayed as blanks (uri `{56B9EC1D-385E-4148-901F-78D8002777C0}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataDisplayOptions16()`
  Instantiates a new data display options 16.
  `DataDisplayOptions16​(InternalXMLStreamReader reader)`
  Instantiates a new data display options 16.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getDispNaAsBlank()`
  Gets whether #N/A values are displayed as blanks (`c16r3:dispNaAsBlank` val).
  `void`
  `setDispNaAsBlank​(String value)`
  Sets whether #N/A values are displayed as blanks (`c16r3:dispNaAsBlank` val).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DataDisplayOptions16

    public DataDisplayOptions16()
    Instantiates a new data display options 16.

  - ### DataDisplayOptions16

    public DataDisplayOptions16​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new data display options 16.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDispNaAsBlank

    public String getDispNaAsBlank()
    Gets whether #N/A values are displayed as blanks (`c16r3:dispNaAsBlank` val). Null when the child element is absent.
    Returns:
      the disp na as blank

  - ### setDispNaAsBlank

    public void setDispNaAsBlank​(String value)
    Sets whether #N/A values are displayed as blanks (`c16r3:dispNaAsBlank` val). Null when the child element is absent.
    Parameters:
      `value` - the new disp na as blank